Estimate selected real estate shot video costs
curl --request POST \
--url https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/shot-video-cost-estimate/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"shot_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/shot-video-cost-estimate/"
payload = { "shot_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({shot_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://backend.tensorpix.ai/api/v2/real-estate/projects/{project_id}/shot-video-cost-estimate/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credits_cost": "<string>"
}{
"detail": "<unknown>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"error_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Real Estate Projects
Estimate selected real estate shot video costs
Estimate the shot video cost for unique shot IDs. The result includes image description cost only for shots that still need a description. This action does not create jobs, create assets, or reserve Credits.
POST
/
api
/
v2
/
real-estate
/
projects
/
{project_id}
/
shot-video-cost-estimate
/
Estimate selected real estate shot video costs
Authorizations
tokenAuthjwtAuth
Token-based authentication with required prefix "Token"
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Validate a non-empty unique list of selected shot IDs.
Minimum array length:
1Response
Serialize the total selected-shot generation cost.
Pattern:
^-?\d{0,6}(?:\.\d{0,4})?$Was this page helpful?